<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@3001E0=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@3035DD=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Weapon PL1">
    <script state="run">
      <action>maincpu.pb@3002B2=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="run">
      <action>maincpu.pb@300297=03</action>
      <action>maincpu.pb@3002A0=02|(maincpu.pb@3002A0 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot 1 PL1">
    <script state="run">
      <action>maincpu.pb@300286=00|(maincpu.pb@300286 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot 2 PL1">
    <script state="run">
      <action>maincpu.pb@300286=00|(maincpu.pb@300286 BAND ~20)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@3035DE=05</action>
    </script>
  </cheat>

  <cheat desc="Infinite Special Weapon PL2">
    <script state="run">
      <action>maincpu.pb@300322=03</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@300307=03</action>
      <action>maincpu.pb@300310=02|(maincpu.pb@300310 BAND ~02)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot 1 PL2">
    <script state="run">
      <action>maincpu.pb@3002F6=00|(maincpu.pb@3002F6 BAND ~10)</action>
    </script>
  </cheat>

  <cheat desc="Rapid Fire - Shot 2 PL2">
    <script state="run">
      <action>maincpu.pb@3002F6=00|(maincpu.pb@3002F6 BAND ~20)</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
